Ubuntu Install for 1.34.x

Forum for questions and support relating to the 1.34.x releases only.
MoOz
Posts: 31
Joined: Tue Jan 17, 2017 9:49 pm

Re: Ubuntu Install for 1.34.x

Post by MoOz » Mon Jan 27, 2020 6:48 am

Thanks I will remove gdebi, x264, x265 or libmp4v2
and test it on the next install

packetloss
Posts: 4
Joined: Sat Nov 25, 2017 11:10 am

Re: Ubuntu Install for 1.34.x

Post by packetloss » Sun Feb 02, 2020 1:50 pm

Sigge wrote:
Sat Jan 18, 2020 1:42 pm
On Ubuntu Server 18.04 and Zoneminder 1.32.3.

Did:
sudo add-apt-repository ppa:iconnor/zoneminder-1.34
sudo apt-get update && sudo apt-get full-upgrade
sudo add-apt-repository --remove ppa:iconnor/zoneminder-1.32

and all worked fine!
thanks for your comment, it really helped me to quickly update from 1.30 (so, even older than 1.32) to 1.34, worked fine!

zmaximz
Posts: 13
Joined: Mon Sep 03, 2018 12:27 pm

Re: Ubuntu Install for 1.34.x

Post by zmaximz » Thu Mar 19, 2020 12:13 am

bbunge wrote:
Fri Jan 17, 2020 5:51 pm
Install procedures Trusty, Xenial, Bionic and Eoan done. (Bionic and Eoan can use the same install script!). Disco support ends January 2020 so it is not included. Bionic LEMP (NGINX) also included

See: https://wiki.zoneminder.com/Ubuntu_Serv ... der_1.34.x

Edit 1117 19JAN20
It's not work. I cant to set "default_authentication_plugin = mysql_native_password" before created user mysql. It maybe must be after it.

bbunge
Posts: 2704
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: Ubuntu Install for 1.34.x

Post by bbunge » Thu Mar 19, 2020 12:18 pm

zmaximz wrote:
Thu Mar 19, 2020 12:13 am
bbunge wrote:
Fri Jan 17, 2020 5:51 pm
Install procedures Trusty, Xenial, Bionic and Eoan done. (Bionic and Eoan can use the same install script!). Disco support ends January 2020 so it is not included. Bionic LEMP (NGINX) also included

See: https://wiki.zoneminder.com/Ubuntu_Serv ... der_1.34.x

Edit 1117 19JAN20
It's not work. I cant to set "default_authentication_plugin = mysql_native_password" before created user mysql. It maybe must be after it.
Ubuntu version, MySQL version?

zmaximz
Posts: 13
Joined: Mon Sep 03, 2018 12:27 pm

Re: Ubuntu Install for 1.34.x

Post by zmaximz » Thu Mar 19, 2020 3:41 pm

bbunge wrote:
Thu Mar 19, 2020 12:18 pm
zmaximz wrote:
Thu Mar 19, 2020 12:13 am
bbunge wrote:
Fri Jan 17, 2020 5:51 pm
Install procedures Trusty, Xenial, Bionic and Eoan done. (Bionic and Eoan can use the same install script!). Disco support ends January 2020 so it is not included. Bionic LEMP (NGINX) also included

See: https://wiki.zoneminder.com/Ubuntu_Serv ... der_1.34.x

Edit 1117 19JAN20
It's not work. I cant to set "default_authentication_plugin = mysql_native_password" before created user mysql. It maybe must be after it.
Ubuntu version, MySQL version?
Hello, Ubuntu 19.10 clean install and mysql 8, LAMP and ssh installed through tasksel.
When I try to add this "default_authentication_plugin = mysql_native_password" in config of mysql and to run mysql it's tell to me error that there no such plugin. If I add this command after user creation and configuring acess of mysql it's ok. Then I installed ZM with script, no other errors during installation.


But I have this error in the log of ZM:
"2020-03-19 17:38:35 zmdc 1442 ERR 'zmtelemetry.pl' exited abnormally, exit status 255 zmdc.pl" every 10 min, not sure what it is, looks like ZM and cams work ok

And I used this instruction for webmin and minimal desktop installation, that's all:
"How To install Ubuntu server 19.10 + Static ip + LAMP SERVER + Webmin Admin Panel"
https://youtu.be/e63erLLDDcA

Can you please to help with "zmtelemetry.pl" error what it can to be?

bbunge
Posts: 2704
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: Ubuntu Install for 1.34.x

Post by bbunge » Fri Mar 20, 2020 2:23 am

zmaximz wrote:
Thu Mar 19, 2020 3:41 pm
bbunge wrote:
Thu Mar 19, 2020 12:18 pm
zmaximz wrote:
Thu Mar 19, 2020 12:13 am

It's not work. I cant to set "default_authentication_plugin = mysql_native_password" before created user mysql. It maybe must be after it.
Ubuntu version, MySQL version?
Hello, Ubuntu 19.10 clean install and mysql 8, LAMP and ssh installed through tasksel.
When I try to add this "default_authentication_plugin = mysql_native_password" in config of mysql and to run mysql it's tell to me error that there no such plugin. If I add this command after user creation and configuring acess of mysql it's ok. Then I installed ZM with script, no other errors during installation.


But I have this error in the log of ZM:
"2020-03-19 17:38:35 zmdc 1442 ERR 'zmtelemetry.pl' exited abnormally, exit status 255 zmdc.pl" every 10 min, not sure what it is, looks like ZM and cams work ok

And I used this instruction for webmin and minimal desktop installation, that's all:
"How To install Ubuntu server 19.10 + Static ip + LAMP SERVER + Webmin Admin Panel"
https://youtu.be/e63erLLDDcA

Can you please to help with "zmtelemetry.pl" error what it can to be?
Well, I just installed Zoneminder 1.34 on Ubuntu 19.10 with Mysql 8 using the instructions on the wiki. Had no issues. Did the Mysql 8 fix before running the install script.

zmaximz
Posts: 13
Joined: Mon Sep 03, 2018 12:27 pm

Re: Ubuntu Install for 1.34.x

Post by zmaximz » Fri Mar 20, 2020 10:12 pm

bbunge wrote:
Fri Mar 20, 2020 2:23 am
Well, I just installed Zoneminder 1.34 on Ubuntu 19.10 with Mysql 8 using the instructions on the wiki. Had no issues. Did the Mysql 8 fix before running the install script.
Hello, I tested another clean install and it looks ok, without any errors.
Sorry, it mast be my mistake somewhere in syntax before, the script and instruction works good with 19.10

zmaximz
Posts: 13
Joined: Mon Sep 03, 2018 12:27 pm

Re: Ubuntu Install for 1.34.x

Post by zmaximz » Sat Mar 21, 2020 5:34 pm

Ok, this error "zmdc 1173 ERR 'zmtelemetry.pl' exited abnormally, exit status 255 zmdc.pl" begins after first reboot. I made about 5 clean installation, only 19.10 LAMP and zoneminder. After reboot it's always there. I will try other variants. And one bug... if I add camera there is another windows without data. No errors while installation.

I dont know whats wrong, permissions or something other?

mrd
Posts: 255
Joined: Wed Apr 26, 2006 12:39 am
Location: Boston USA

Re: Ubuntu Install for 1.34.x

Post by mrd » Sat Mar 28, 2020 1:30 am

I'm having issues using the similar script from the wiki and it seems to be due to the mariaDB setup or password. Can anyone tell me what I should be setting it to, if anything? Do I need to create a zmuser? Should I be changing the password for root or the zmuser if created? I was attempting a fresh install on Ubuntu 18.04 server with ZM 1.34.* as instructed here with mariaDB
https://wiki.zoneminder.com/Ubuntu_Serv ... der_1.34.x

Any help is appreciated...
MRD

zmaximz
Posts: 13
Joined: Mon Sep 03, 2018 12:27 pm

Re: Ubuntu Install for 1.34.x

Post by zmaximz » Sat Mar 28, 2020 5:03 am

mrd wrote:
Sat Mar 28, 2020 1:30 am
Any help is appreciated...
I'm installed 19.10 and MariaDB, like from this https://www.techsupportpk.com/2019/10/h ... -1910.html
Than I followed standard 1.34 installation, like from the script:
add-apt-repository ppa:iconnor/zoneminder-1.34
apt install -y zoneminder
systemctl enable zoneminder
service zoneminder start
adduser www-data video
a2enconf zoneminder
a2enmod rewrite
a2enmod headers
a2enmod expires
service apache2 reload

I believe that 1.34 installation has created zmuser and it's privileges for MariaDB and there no other action is required in 19.10. (I try various variants for MariaDB - no changes, I cant CREATE new zmuser, but I can to replace it, I believe it's already exist)

One thing that don't wok for now it's ONVIF, I'm using links. But I think MariaDB has much more less glitches. With MySQL I cant to create groups, errors with syntax and something other, I think new MySQL is not completely compatible with zoneminder 1.34.6(7)

bbunge
Posts: 2704
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: Ubuntu Install for 1.34.x

Post by bbunge » Sat Mar 28, 2020 12:04 pm

zmaximz wrote:
Sat Mar 28, 2020 5:03 am
mrd wrote:
Sat Mar 28, 2020 1:30 am
Any help is appreciated...
I'm installed 19.10 and MariaDB, like from this https://www.techsupportpk.com/2019/10/h ... -1910.html
Than I followed standard 1.34 installation, like from the script:
add-apt-repository ppa:iconnor/zoneminder-1.34
apt install -y zoneminder
systemctl enable zoneminder
service zoneminder start
adduser www-data video
a2enconf zoneminder
a2enmod rewrite
a2enmod headers
a2enmod expires
service apache2 reload

I believe that 1.34 installation has created zmuser and it's privileges for MariaDB and there no other action is required in 19.10. (I try various variants for MariaDB - no changes, I cant CREATE new zmuser, but I can to replace it, I believe it's already exist)

One thing that don't wok for now it's ONVIF, I'm using links. But I think MariaDB has much more less glitches. With MySQL I cant to create groups, errors with syntax and something other, I think new MySQL is not completely compatible with zoneminder 1.34.6(7)
MySQL 8 does work with Zoneminder after some adjustments to neuter password security.
However, support for 19.10 is about to end. 18.04 is a better choice!

mrd
Posts: 255
Joined: Wed Apr 26, 2006 12:39 am
Location: Boston USA

Re: Ubuntu Install for 1.34.x

Post by mrd » Sat Mar 28, 2020 1:15 pm

Thanks for the reply and details. The mariadb instructions look identical to the ones I used and neither one is clear about how to handle setting the passwords. Should I set a root password or not? Should I remove anonymous users?

Does ZM require anything special or specific about the install? I'm surprized this is glanced over by all of the install instructions for ZM. They are usually, for prior releases, very specific. I must be missing something...
MRD

bbunge
Posts: 2704
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: Ubuntu Install for 1.34.x

Post by bbunge » Sat Mar 28, 2020 1:53 pm

mrd wrote:
Sat Mar 28, 2020 1:15 pm
Thanks for the reply and details. The mariadb instructions look identical to the ones I used and neither one is clear about how to handle setting the passwords. Should I set a root password or not? Should I remove anonymous users?

Does ZM require anything special or specific about the install? I'm surprized this is glanced over by all of the install instructions for ZM. They are usually, for prior releases, very specific. I must be missing something...
Yes, you need to set the root password in the database either Mariadb or MySQL.
mysql_secure_installation

Only with MySQL 8 do you need to: https://wiki.zoneminder.com/Ubuntu_Serv ... yond.3F.29

I ran the install for Ubuntu 18.04 just yesterday without issues on a Pi 3b+ using NGINX and Mariadb-server. Had no problems...

mrd
Posts: 255
Joined: Wed Apr 26, 2006 12:39 am
Location: Boston USA

Re: Ubuntu Install for 1.34.x

Post by mrd » Sat Mar 28, 2020 2:56 pm

Thanks... I will try again from scratch..
MRD

mrd
Posts: 255
Joined: Wed Apr 26, 2006 12:39 am
Location: Boston USA

Re: Ubuntu Install for 1.34.x

Post by mrd » Sat Mar 28, 2020 6:04 pm

Before I fail again, does the password need to be specific or anything I want?
MRD

Post Reply

Who is online

Users browsing this forum: Bluemax and 5 guests